[SOLVED] "export 'IonContent' was not found in '@ionic/angular'

IONIC 4

Chrome error log:

client:154 ./node_modules/@logisticinfotech/ionic4-datepicker/fesm5/logisticinfotech-ionic4-datepicker.js 723:44-54
"export 'IonContent' was not found in '@ionic/angular'

ionic info

Ionic:

   Ionic CLI                     : 5.2.1 (/usr/local/lib/node_modules/ionic)
   Ionic Framework               : @ionic/angular 4.0.0-beta.16
   @angular-devkit/build-angular : 0.12.4
   @angular-devkit/schematics    : 7.3.9
   @angular/cli                  : 7.3.9
   @ionic/angular-toolkit        : 1.5.1

Cordova:

   Cordova CLI       : 9.0.0 (cordova-lib@9.0.1)
   Cordova Platforms : android 8.0.0, browser 5.0.4
   Cordova Plugins   : cordova-plugin-ionic-keyboard 2.1.3, cordova-plugin-ionic-webview 2.5.1, (and 14 other plugins)

Utility:

   cordova-res : not installed
   native-run  : 0.2.7 

System:

   ios-deploy : 1.9.4
   ios-sim    : 7.0.0
   NodeJS     : v11.6.0 (/usr/local/Cellar/node/11.6.0/bin/node)
   npm        : 6.9.2
   OS         : macOS Mojave
   Xcode      : Xcode 10.2.1 Build version 10E1001

package.json

{
  "name": "ionic4-tuaagenda",
  "version": "0.0.1",
  "author": "Ionic Framework",
  "homepage": "http://ionicframework.com/",
  "scripts": {
    "ng": "ng",
    "start": "ng serve",
    "build": "ng build",
    "test": "ng test",
    "lint": "ng lint",
    "e2e": "ng e2e"
  },
  "private": true,
  "dependencies": {
    "@angular/common": "~7.0.0",
    "@angular/core": "~7.0.0",
    "@angular/fire": "^5.1.1",
    "@angular/forms": "~7.0.0",
    "@angular/http": "~7.0.0",
    "@angular/platform-browser": "~7.0.0",
    "@angular/platform-browser-dynamic": "~7.0.0",
    "@angular/pwa": "^0.13.0",
    "@angular/router": "~7.0.0",
    "@angular/service-worker": "~7.0.0",
    "@ionic-native/app-version": "^5.0.0",
    "@ionic-native/call-number": "^5.0.0",
    "@ionic-native/camera": "^5.0.0",
    "@ionic-native/clipboard": "^5.0.0",
    "@ionic-native/core": "5.0.0-beta.21",
    "@ionic-native/device": "^5.0.0",
    "@ionic-native/firebase": "^5.0.0",
    "@ionic-native/in-app-browser": "^5.0.0",
    "@ionic-native/social-sharing": "^5.0.0",
    "@ionic-native/splash-screen": "5.0.0-beta.21",
    "@ionic-native/status-bar": "5.0.0-beta.21",
    "@ionic/angular": "4.0.0-beta.16",
    "@ionic/pro": "2.0.3",
    "@ionic/storage": "^2.2.0",
    "@logisticinfotech/ionic4-datepicker": "^1.1.0",
    "@types/fullcalendar": "^3.8.0",
    "@types/jquery": "^3.3.29",
    "angularfire2": "^5.1.1",
    "br-mask": "0.0.4",
    "call-number": "1.0.1",
    "cordova": "^9.0.0",
    "cordova-android": "^8.0.0",
    "cordova-android-support-gradle-release": "^3.0.1",
    "cordova-browser": "5.0.4",
    "cordova-clipboard": "1.2.1",
    "cordova-plugin-androidx": "^1.0.2",
    "cordova-plugin-androidx-adapter": "^1.1.0",
    "cordova-plugin-app-version": "0.1.9",
    "cordova-plugin-camera": "4.0.3",
    "cordova-plugin-device": "^2.0.2",
    "cordova-plugin-firebase-lib": "^5.1.1",
    "cordova-plugin-inappbrowser": "3.0.0",
    "cordova-plugin-ionic-keyboard": "^2.1.3",
    "cordova-plugin-ionic-webview": "^2.3.2",
    "cordova-plugin-splashscreen": "^5.0.2",
    "cordova-plugin-statusbar": "^2.4.2",
    "cordova-plugin-whitelist": "^1.3.3",
    "cordova-plugin-x-socialsharing": "^5.4.4",
    "core-js": "^2.6.3",
    "es6-promise-plugin": "^4.2.2",
    "firebase": "^5.8.2",
    "fullcalendar": "^3.10.0",
    "jquery": "^3.3.1",
    "moment": "^2.24.0",
    "mx.ferreyra.callnumber": "0.0.2",
    "ng-fullcalendar": "^1.7.1",
    "rxjs": "~6.3.3",
    "zone.js": "^0.8.29"
  },
  "devDependencies": {
    "@angular-devkit/architect": "^0.10.7",
    "@angular-devkit/build-angular": "^0.12.4",
    "@angular-devkit/core": "^7.0.7",
    "@angular-devkit/schematics": "^7.0.7",
    "@angular/cli": "^7.0.7",
    "@angular/compiler": "~7.0.0",
    "@angular/compiler-cli": "~7.0.0",
    "@angular/language-service": "~7.0.0",
    "@ionic/angular-toolkit": "^1.2.3",
    "@ionic/lab": "1.0.18",
    "@types/jasmine": "^2.8.16",
    "@types/jasminewd2": "~2.0.3",
    "@types/node": "^10.12.21",
    "codelyzer": "~4.5.0",
    "jasmine-core": "~2.99.1",
    "jasmine-spec-reporter": "~4.2.1",
    "karma": "~3.0.0",
    "karma-chrome-launcher": "~2.2.0",
    "karma-coverage-istanbul-reporter": "~2.0.1",
    "karma-jasmine": "~1.1.2",
    "karma-jasmine-html-reporter": "^0.2.2",
    "protractor": "^5.4.2",
    "ts-node": "~7.0.0",
    "tslint": "~5.11.0",
    "typescript": "~3.1.6",
    "xcode": "^2.0.0"
  },
  "description": "An Ionic project",
  "cordova": {
    "plugins": {
      "cordova-plugin-whitelist": {},
      "cordova-plugin-statusbar": {},
      "cordova-plugin-device": {},
      "cordova-plugin-splashscreen": {},
      "cordova-plugin-ionic-webview": {
        "ANDROID_SUPPORT_ANNOTATIONS_VERSION": "27.+"
      },
      "cordova-plugin-ionic-keyboard": {},
      "cordova-plugin-x-socialsharing": {
        "ANDROID_SUPPORT_V4_VERSION": "24.1.1+"
      },
      "mx.ferreyra.callnumber": {},
      "call-number": {},
      "cordova-plugin-camera": {},
      "cordova-plugin-inappbrowser": {},
      "cordova-clipboard": {},
      "cordova-plugin-app-version": {},
      "cordova-android-support-gradle-release": {
        "ANDROID_SUPPORT_VERSION": "27.+"
      },
      "cordova-plugin-firebase-lib": {},
      "cordova-plugin-androidx": {},
      "cordova-plugin-androidx-adapter": {}
    },
    "platforms": [
      "browser",
      "android"
    ]
  }
}

Try updating the ionic framework from 4.0.0-beta.16 to the latest stable

1 Like

Hi @jjdev, yes, done!

The strange thing is that a week before it worked and compiled …

Tank you!

Looks like that change wasn’t added until 4.0.0-beta.18

I change version to 4.6, and done!